Skip to main content
GET
List contracts

Authorizations

X-Api-Key
string
header
required

Query Parameters

status
enum<string>

Filter by contract status

Available options:
pending,
in_progress,
completed
type
enum<string>

Filter by contract type

Available options:
ppa,
day_ahead,
intraday
eic
string

Filter by buyer or seller EIC code

Example:

"11YGREENENERGY-Z"

delivery_start
string<date-time>

Filter: delivery start >= this value (ISO 8601)

Example:

"2026-01-01T00:00:00Z"

delivery_end
string<date-time>

Filter: delivery end <= this value (ISO 8601)

Example:

"2026-03-31T23:45:00Z"

active_on
string<date>

Filter contracts active on this date

Example:

"2026-01-15"

limit
integer
default:10

Maximum number of items per page

Required range: 1 <= x <= 100
after
string

Cursor for the next page — pass the next_cursor value from the previous response

Example:

"con_a1b2c3d4"

Response

Contracts list

contracts
object[]
required

List of contracts

pagination
object
required